# -*- coding: utf-8 -*-

# Copyright (c) 2003 - 2005 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a dialog to enter the commit message.
"""

from qt import *

from CommitForm import CommitForm

class SvnCommitDialog(CommitForm):
    """
    Class implementing a dialog to enter the commit message.
    """
    def __init__(self, parent = None):
        """
        Constructor
        
        @param parent parent widget (QWidget)
        """
        CommitForm.__init__(self, parent, None, 1)
       
        dummy = self.trUtf8('dummy')
        
    def logMessage(self):
        """
        Public method to retrieve the log message.
        
        @return the log message (QString)
        """
        return self.logEdit.text()
